#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QNetworkAccessManager>

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT
    
public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();
    
private slots:
    void on_DownloadButton_clicked();

    void download_finished(QNetworkReply *reply);

private:
    Ui::Widget *ui;
    QNetworkAccessManager *manager;
};

#endif // WIDGET_H
